Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.persister.collection
Class NamedQueryCollectionInitializer

    java.lang.Object
      org.hibernate.persister.collection.NamedQueryCollectionInitializer

All Implemented Interfaces:
  CollectionInitializer

    public final class NamedQueryCollectionInitializer

extends Object
implements CollectionInitializer

A wrapper around a named query.

Constructor Summary
`NamedQueryCollectionInitializer(String queryName, CollectionPersister persister)`

Method Summary
`void` | `initialize(Serializable key, SessionImplementor session)` Initialize the given collection

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamedQueryCollectionInitializer

    public NamedQueryCollectionInitializer(String queryName,
                                           CollectionPersister persister)

Method Detail

### initialize

    public void initialize(Serializable key,
                           SessionImplementor session)
                    throws HibernateException

  Description copied from interface: `CollectionInitializer`
  Initialize the given collection

  Specified by:
    `initialize` in interface `CollectionInitializer`
  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.